%define upstream_name    rlib
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Manipulate @INC at compile time with relative paths
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch
Provides:   perl(rlib)

%description
rlib works in the same way as lib, except that all paths in 'LIST' are
treated as relative paths.

If rlib is used from the 'main' package then the paths in 'LIST' are
assumed to be relative to where the current script '$0' is located. This is
done by using the FindBin package.

If rlib is used from within any package other tha 'main' then the paths in
'LIST' are assumed to be relative to the root of the library where the file
for that package was found.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-4.mga4
+ Revision: 520972
- Mageia 4 Mass Rebuild

* Tue Jan 15 2013 jquelin <jquelin> 0.20.0-3.mga3
+ Revision: 388199
- add missing provides

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 375547
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 kharec <kharec> 0.20.0-1.mga2
+ Revision: 172097
- imported package perl-rlib


* Sat Nov 26 2011 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
